Package com.documentum.fc.common

# Interface IDfId

All Known Implementing Classes:
  `DfId`

public interface IDfId
A Documentum object identifier.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DM_ACL`
  The type identifier for acl objects.
  `static final int`
  `DM_ACTIVITY`
  The type identifier for activity objects.
  `static final int`
  `DM_AGGR_DOMAIN`
  `static final int`
  `DM_ALIAS_SET`
  `static final int`
  `DM_API`
  `static final int`
  `DM_ASSEMBLY`
  The type identifier for assembly objects.
  `static final int`
  `DM_AUDIT_TRAIL`
  `static final int`
  `DM_BLOB_TICKET`
  `static final int`
  `DM_BLOBSTORE`
  The type identifier for blob store objects.
  `static final int`
  `DM_BUILTIN_EXPR`
  `static final int`
  `DM_BWS`
  `static final int`
  `DM_CA_STORE_TAG`
  `static final int`
  `DM_CABINET`
  The type identifier for cabinet objects.
  `static final int`
  `DM_CHANGE_RECORD`
  The type identifier for change record objects.
  `static final int`
  `DM_CLIENTRIGHTSDOMAIN_TAG`
  `static final int`
  `DM_COLLECTION`
  `static final int`
  `DM_COND_EXPR`
  `static final int`
  `DM_COND_ID_EXPR`
  `static final int`
  `DM_CONTAINMENT`
  The type identifier for containment objects.
  `static final int`
  `DM_CONTENT`
  The type identifier for content objects.
  `static final int`
  `DM_DD_ATTR_INFO`
  `static final int`
  `DM_DD_COMMON_INFO`
  `static final int`
  `DM_DD_INFO`
  `static final int`
  `DM_DD_TYPE_INFO`
  `static final int`
  `DM_DISPLAY_CONFIG`
  `static final int`
  `DM_DIST_COMP_RECORD`
  The type identifier for an internal documentum object.
  `static final int`
  `DM_DISTRIBUTEDSTORE`
  The type identifier for distributed store objects.
  `static final int`
  `DM_DOCBASE_CONFIG`
  The type identifier for repository configuration objects.
  `static final int`
  `DM_DOCBASEID_MAP`
  The type identifier for repository ID Map objects.
  `static final int`
  `DM_DOCBROKER`
  The type identifier for docbroker objects.
  `static final int`
  `DM_DOCUMENT`
  The type identifier for document objects.
  `static final int`
  `DM_DOMAIN`
  `static final int`
  `DM_DUMP_OBJECT_RECORD`
  The type identifier for dump object record objects.
  `static final int`
  `DM_DUMP_RECORD`
  The type identifier for dump record objects.
  `static final int`
  `DM_EVENT`
  The type identifier for event objects.
  `static final int`
  `DM_EXPR_CODE`
  `static final int`
  `DM_EXPRESSION`
  `static final int`
  `DM_EXTERNALSTORE_FILE_TAG`
  `static final int`
  `DM_EXTERNALSTORE_FREE_TAG`
  `static final int`
  `DM_EXTERNALSTORE_TAG`
  `static final int`
  `DM_EXTERNALSTORE_URL_TAG`
  `static final int`
  `DM_FEDERATION`
  `static final int`
  `DM_FILE`
  `static final int`
  `DM_FILESTORE`
  The type identifier for file store objects.
  `static final int`
  `DM_FOLDER`
  The type identifier for folder objects.
  `static final int`
  `DM_FOREIGN_KEY`
  `static final int`
  `DM_FORMAT`
  The type identifier for format objects.
  `static final int`
  `DM_FULLTEXT`
  `static final int`
  `DM_FULLTEXT_INDEX`
  The type identifier for full-text index objects.
  `static final int`
  `DM_FUNC_EXPR`
  `static final int`
  `DM_GROUP`
  The type identifier for group objects.
  `static final int`
  `DM_INBOX`
  `static final int`
  `DM_INDEX`
  The type identifier for index objects.
  `static final int`
  `DM_KEY`
  `static final int`
  `DM_LIGHTWEIGHT_TAG`
  `static final int`
  `DM_LINKEDSTORE`
  The type identifier for linked store objects.
  `static final int`
  `DM_LINKRECORD`
  The type identifier for linked record objects.
  `static final int`
  `DM_LITERAL_EXPR`
  `static final int`
  `DM_LOAD_OBJECT_RECORD`
  The type identifier for load object record objects.
  `static final int`
  `DM_LOAD_RECORD`
  The type identifier for load record objects.
  `static final int`
  `DM_LOCATION`
  The type identifier for location objects.
  `static final int`
  `DM_METHOD`
  The type identifier for method objects.
  `static final int`
  `DM_MOUNT_POINT`
  `static final int`
  `DM_NETSTORE`
  The type identifier for network store objects.
  `static final int`
  `DM_NLS_DD_INFO`
  `static final int`
  `DM_NOTE`
  The type identifier for note objects.
  `static final int`
  `DM_OBJECT`
  The type identifier for miscellaneous objects.
  `static final int`
  `DM_OTHERFILE`
  `static final int`
  `DM_OUTPUTDEVICE`
  The type identifier for output device objects.
  `static final int`
  `DM_PACKAGE`
  `static final int`
  `DM_PARTITION_SCHEME`
  `static final int`
  `DM_PLUGIN`
  `static final int`
  `DM_POLICY`
  The type identifier for policy objects.
  `static final int`
  `DM_PROCESS`
  The type identifier for process objects.
  `static final int`
  `DM_QUERY`
  The type identifier for query objects.
  `static final int`
  `DM_QUEUE_ITEM`
  The type identifier for queue item objects.
  `static final int`
  `DM_RECOVERY`
  `static final int`
  `DM_REFERENCE`
  `static final int`
  `DM_REGISTERED`
  The type identifier for registered objects.
  `static final int`
  `DM_REGISTRY`
  The type identifier for registry objects.
  `static final int`
  `DM_RELATION`
  The type identifier for relation objects.
  `static final int`
  `DM_RELATIONTYPE`
  The type identifier for relation type objects.
  `static final int`
  `DM_REMOTESTORE`
  The type identifier for remote store objects.
  `static final int`
  `DM_REMOTETICKET`
  `static final int`
  `DM_REPLICA_RECORD`
  The type identifier for replica record objects.
  `static final int`
  `DM_ROUTER`
  The type identifier for router objects.
  `static final int`
  `DM_SCOPE_CONFIG`
  `static final int`
  `DM_SEQUENCE`
  The type identifier for sequence objects.
  `static final int`
  `DM_SERVER_CONFIG`
  The type identifier for server configuration objects.
  `static final int`
  `DM_SESSION`
  The type identifier for session objects.
  `static final int`
  `DM_STAGED_DOCUMENT`
  `static final int`
  `DM_STORE`
  The type identifier for store objects.
  `static final int`
  `DM_SUBCONTENT`
  `static final int`
  `DM_SYSOBJECT`
  The type identifier for sysobject objects.
  `static final int`
  `DM_TRANSACTION_LOG`
  `static final int`
  `DM_TYPE`
  The type identifier for type objects.
  `static final int`
  `DM_TYPE_INFO`
  The type identifier for type info objects.
  `static final int`
  `DM_TYPE_MANAGER`
  `static final int`
  `DM_UNUSED1`
  `static final int`
  `DM_UNUSED2`
  `static final int`
  `DM_UNUSED3`
  `static final int`
  `DM_UNUSED4`
  `static final int`
  `DM_UNUSED5`
  `static final int`
  `DM_USER`
  The type identifier for user objects.
  `static final int`
  `DM_USER_INFO`
  `static final int`
  `DM_VALUE_ASSIST`
  `static final int`
  `DM_VALUE_FUNC`
  `static final int`
  `DM_VALUE_LIST`
  `static final int`
  `DM_VALUE_QUERY`
  `static final int`
  `DM_VERITY_COLL`
  `static final int`
  `DM_VERITY_INDEX`
  `static final int`
  `DM_VSTAMP`
  `static final int`
  `DM_WORKFLOW`
  The type identifier for workflow objects.
  `static final int`
  `DM_WORKITEM`
  The type identifier for work item objects.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(IDfId dfid)`
  Returns -1, 0 or 1 if this IDfId is less than, equal to, or greater than the IDfId passed as an argument.
  `boolean`
  `equals(Object that)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `getDocbaseId()`
  Returns the portion of the ID that identifies the repository.
  `String`
  `getId()`
  Returns a string representation of the ID.
  `long`
  `getNumericDocbaseId()`
  Returns the portion of the ID that represents the docbase ID in integer form.
  `int`
  `getTypePart()`
  Returns the portion of the ID that represents the object type.
  `boolean`
  `isNull()`
  Indicates whether this IDfId object represents a null ID. ("0000000000000000").
  `boolean`
  `isObjectId()`
  Indicates whether this ID is a valid object ID.
  `String`
  `toString()`
  Returns a string representation of this ID.

- ## Field Details

  - ### DM_SESSION

    static final int DM_SESSION
    The type identifier for session objects.
    See Also:
      - Constant Field Values

  - ### DM_OBJECT

    static final int DM_OBJECT
    The type identifier for miscellaneous objects.
    See Also:
      - Constant Field Values

  - ### DM_TYPE

    static final int DM_TYPE
    The type identifier for type objects.
    See Also:
      - Constant Field Values

  - ### DM_COLLECTION

    static final int DM_COLLECTION
    See Also:
      - Constant Field Values

  - ### DM_CONTAINMENT

    static final int DM_CONTAINMENT
    The type identifier for containment objects.
    See Also:
      - Constant Field Values

  - ### DM_CONTENT

    static final int DM_CONTENT
    The type identifier for content objects.
    See Also:
      - Constant Field Values

  - ### DM_UNUSED1

    static final int DM_UNUSED1
    See Also:
      - Constant Field Values

  - ### DM_SYSOBJECT

    static final int DM_SYSOBJECT
    The type identifier for sysobject objects.
    See Also:
      - Constant Field Values

  - ### DM_DOCUMENT

    static final int DM_DOCUMENT
    The type identifier for document objects.
    See Also:
      - Constant Field Values

  - ### DM_QUERY

    static final int DM_QUERY
    The type identifier for query objects.
    See Also:
      - Constant Field Values

  - ### DM_FOLDER

    static final int DM_FOLDER
    The type identifier for folder objects.
    See Also:
      - Constant Field Values

  - ### DM_CABINET

    static final int DM_CABINET
    The type identifier for cabinet objects.
    See Also:
      - Constant Field Values

  - ### DM_ASSEMBLY

    static final int DM_ASSEMBLY
    The type identifier for assembly objects.
    See Also:
      - Constant Field Values

  - ### DM_STORE

    static final int DM_STORE
    The type identifier for store objects.
    See Also:
      - Constant Field Values

  - ### DM_FULLTEXT

    static final int DM_FULLTEXT
    See Also:
      - Constant Field Values

  - ### DM_METHOD

    static final int DM_METHOD
    The type identifier for method objects.
    See Also:
      - Constant Field Values

  - ### DM_USER

    static final int DM_USER
    The type identifier for user objects.
    See Also:
      - Constant Field Values

  - ### DM_GROUP

    static final int DM_GROUP
    The type identifier for group objects.
    See Also:
      - Constant Field Values

  - ### DM_UNUSED2

    static final int DM_UNUSED2
    See Also:
      - Constant Field Values

  - ### DM_API

    static final int DM_API
    See Also:
      - Constant Field Values

  - ### DM_TYPE_MANAGER

    static final int DM_TYPE_MANAGER
    See Also:
      - Constant Field Values

  - ### DM_UNUSED3

    static final int DM_UNUSED3
    See Also:
      - Constant Field Values

  - ### DM_OUTPUTDEVICE

    static final int DM_OUTPUTDEVICE
    The type identifier for output device objects.
    See Also:
      - Constant Field Values

  - ### DM_ROUTER

    static final int DM_ROUTER
    The type identifier for router objects.
    See Also:
      - Constant Field Values

  - ### DM_REGISTERED

    static final int DM_REGISTERED
    The type identifier for registered objects.
    See Also:
      - Constant Field Values

  - ### DM_UNUSED4

    static final int DM_UNUSED4
    See Also:
      - Constant Field Values

  - ### DM_QUEUE_ITEM

    static final int DM_QUEUE_ITEM
    The type identifier for queue item objects.
    See Also:
      - Constant Field Values

  - ### DM_VERITY_COLL

    static final int DM_VERITY_COLL
    See Also:
      - Constant Field Values

  - ### DM_EVENT

    static final int DM_EVENT
    The type identifier for event objects.
    See Also:
      - Constant Field Values

  - ### DM_VSTAMP

    static final int DM_VSTAMP
    See Also:
      - Constant Field Values

  - ### DM_INDEX

    static final int DM_INDEX
    The type identifier for index objects.
    See Also:
      - Constant Field Values

  - ### DM_SEQUENCE

    static final int DM_SEQUENCE
    The type identifier for sequence objects.
    See Also:
      - Constant Field Values

  - ### DM_TRANSACTION_LOG

    static final int DM_TRANSACTION_LOG
    See Also:
      - Constant Field Values

  - ### DM_FILE

    static final int DM_FILE
    See Also:
      - Constant Field Values

  - ### DM_OTHERFILE

    static final int DM_OTHERFILE
    See Also:
      - Constant Field Values

  - ### DM_VERITY_INDEX

    static final int DM_VERITY_INDEX
    See Also:
      - Constant Field Values

  - ### DM_INBOX

    static final int DM_INBOX
    See Also:
      - Constant Field Values

  - ### DM_REGISTRY

    static final int DM_REGISTRY
    The type identifier for registry objects.
    See Also:
      - Constant Field Values

  - ### DM_FORMAT

    static final int DM_FORMAT
    The type identifier for format objects.
    See Also:
      - Constant Field Values

  - ### DM_FILESTORE

    static final int DM_FILESTORE
    The type identifier for file store objects.
    See Also:
      - Constant Field Values

  - ### DM_NETSTORE

    static final int DM_NETSTORE
    The type identifier for network store objects.
    See Also:
      - Constant Field Values

  - ### DM_LINKEDSTORE

    static final int DM_LINKEDSTORE
    The type identifier for linked store objects.
    See Also:
      - Constant Field Values

  - ### DM_LINKRECORD

    static final int DM_LINKRECORD
    The type identifier for linked record objects.
    See Also:
      - Constant Field Values

  - ### DM_DISTRIBUTEDSTORE

    static final int DM_DISTRIBUTEDSTORE
    The type identifier for distributed store objects.
    See Also:
      - Constant Field Values

  - ### DM_REPLICA_RECORD

    static final int DM_REPLICA_RECORD
    The type identifier for replica record objects.
    See Also:
      - Constant Field Values

  - ### DM_TYPE_INFO

    static final int DM_TYPE_INFO
    The type identifier for type info objects.
    See Also:
      - Constant Field Values

  - ### DM_DUMP_RECORD

    static final int DM_DUMP_RECORD
    The type identifier for dump record objects.
    See Also:
      - Constant Field Values

  - ### DM_DUMP_OBJECT_RECORD

    static final int DM_DUMP_OBJECT_RECORD
    The type identifier for dump object record objects.
    See Also:
      - Constant Field Values

  - ### DM_LOAD_RECORD

    static final int DM_LOAD_RECORD
    The type identifier for load record objects.
    See Also:
      - Constant Field Values

  - ### DM_LOAD_OBJECT_RECORD

    static final int DM_LOAD_OBJECT_RECORD
    The type identifier for load object record objects.
    See Also:
      - Constant Field Values

  - ### DM_CHANGE_RECORD

    static final int DM_CHANGE_RECORD
    The type identifier for change record objects.
    See Also:
      - Constant Field Values

  - ### DM_BLOB_TICKET

    static final int DM_BLOB_TICKET
    See Also:
      - Constant Field Values

  - ### DM_STAGED_DOCUMENT

    static final int DM_STAGED_DOCUMENT
    See Also:
      - Constant Field Values

  - ### DM_DIST_COMP_RECORD

    static final int DM_DIST_COMP_RECORD
    The type identifier for an internal documentum object.
    See Also:
      - Constant Field Values

  - ### DM_RELATION

    static final int DM_RELATION
    The type identifier for relation objects.
    See Also:
      - Constant Field Values

  - ### DM_RELATIONTYPE

    static final int DM_RELATIONTYPE
    The type identifier for relation type objects.
    See Also:
      - Constant Field Values

  - ### DM_UNUSED5

    static final int DM_UNUSED5
    See Also:
      - Constant Field Values

  - ### DM_LOCATION

    static final int DM_LOCATION
    The type identifier for location objects.
    See Also:
      - Constant Field Values

  - ### DM_FULLTEXT_INDEX

    static final int DM_FULLTEXT_INDEX
    The type identifier for full-text index objects.
    See Also:
      - Constant Field Values

  - ### DM_DOCBASE_CONFIG

    static final int DM_DOCBASE_CONFIG
    The type identifier for repository configuration objects.
    See Also:
      - Constant Field Values

  - ### DM_SERVER_CONFIG

    static final int DM_SERVER_CONFIG
    The type identifier for server configuration objects.
    See Also:
      - Constant Field Values

  - ### DM_MOUNT_POINT

    static final int DM_MOUNT_POINT
    See Also:
      - Constant Field Values

  - ### DM_DOCBROKER

    static final int DM_DOCBROKER
    The type identifier for docbroker objects.
    See Also:
      - Constant Field Values

  - ### DM_BLOBSTORE

    static final int DM_BLOBSTORE
    The type identifier for blob store objects.
    See Also:
      - Constant Field Values

  - ### DM_NOTE

    static final int DM_NOTE
    The type identifier for note objects.
    See Also:
      - Constant Field Values

  - ### DM_REMOTESTORE

    static final int DM_REMOTESTORE
    The type identifier for remote store objects.
    See Also:
      - Constant Field Values

  - ### DM_REMOTETICKET

    static final int DM_REMOTETICKET
    See Also:
      - Constant Field Values

  - ### DM_DOCBASEID_MAP

    static final int DM_DOCBASEID_MAP
    The type identifier for repository ID Map objects.
    See Also:
      - Constant Field Values

  - ### DM_ACL

    static final int DM_ACL
    The type identifier for acl objects.
    See Also:
      - Constant Field Values

  - ### DM_POLICY

    static final int DM_POLICY
    The type identifier for policy objects.
    See Also:
      - Constant Field Values

  - ### DM_REFERENCE

    static final int DM_REFERENCE
    See Also:
      - Constant Field Values

  - ### DM_RECOVERY

    static final int DM_RECOVERY
    See Also:
      - Constant Field Values

  - ### DM_PACKAGE

    static final int DM_PACKAGE
    See Also:
      - Constant Field Values

  - ### DM_WORKITEM

    static final int DM_WORKITEM
    The type identifier for work item objects.
    See Also:
      - Constant Field Values

  - ### DM_PROCESS

    static final int DM_PROCESS
    The type identifier for process objects.
    See Also:
      - Constant Field Values

  - ### DM_ACTIVITY

    static final int DM_ACTIVITY
    The type identifier for activity objects.
    See Also:
      - Constant Field Values

  - ### DM_WORKFLOW

    static final int DM_WORKFLOW
    The type identifier for workflow objects.
    See Also:
      - Constant Field Values

  - ### DM_DD_INFO

    static final int DM_DD_INFO
    See Also:
      - Constant Field Values

  - ### DM_NLS_DD_INFO

    static final int DM_NLS_DD_INFO
    See Also:
      - Constant Field Values

  - ### DM_DOMAIN

    static final int DM_DOMAIN
    See Also:
      - Constant Field Values

  - ### DM_AGGR_DOMAIN

    static final int DM_AGGR_DOMAIN
    See Also:
      - Constant Field Values

  - ### DM_EXPRESSION

    static final int DM_EXPRESSION
    See Also:
      - Constant Field Values

  - ### DM_LITERAL_EXPR

    static final int DM_LITERAL_EXPR
    See Also:
      - Constant Field Values

  - ### DM_BUILTIN_EXPR

    static final int DM_BUILTIN_EXPR
    See Also:
      - Constant Field Values

  - ### DM_FUNC_EXPR

    static final int DM_FUNC_EXPR
    See Also:
      - Constant Field Values

  - ### DM_COND_EXPR

    static final int DM_COND_EXPR
    See Also:
      - Constant Field Values

  - ### DM_COND_ID_EXPR

    static final int DM_COND_ID_EXPR
    See Also:
      - Constant Field Values

  - ### DM_EXPR_CODE

    static final int DM_EXPR_CODE
    See Also:
      - Constant Field Values

  - ### DM_KEY

    static final int DM_KEY
    See Also:
      - Constant Field Values

  - ### DM_VALUE_ASSIST

    static final int DM_VALUE_ASSIST
    See Also:
      - Constant Field Values

  - ### DM_VALUE_LIST

    static final int DM_VALUE_LIST
    See Also:
      - Constant Field Values

  - ### DM_VALUE_QUERY

    static final int DM_VALUE_QUERY
    See Also:
      - Constant Field Values

  - ### DM_VALUE_FUNC

    static final int DM_VALUE_FUNC
    See Also:
      - Constant Field Values

  - ### DM_FEDERATION

    static final int DM_FEDERATION
    See Also:
      - Constant Field Values

  - ### DM_AUDIT_TRAIL

    static final int DM_AUDIT_TRAIL
    See Also:
      - Constant Field Values

  - ### DM_EXTERNALSTORE_TAG

    static final int DM_EXTERNALSTORE_TAG
    See Also:
      - Constant Field Values

  - ### DM_EXTERNALSTORE_FILE_TAG

    static final int DM_EXTERNALSTORE_FILE_TAG
    See Also:
      - Constant Field Values

  - ### DM_EXTERNALSTORE_URL_TAG

    static final int DM_EXTERNALSTORE_URL_TAG
    See Also:
      - Constant Field Values

  - ### DM_EXTERNALSTORE_FREE_TAG

    static final int DM_EXTERNALSTORE_FREE_TAG
    See Also:
      - Constant Field Values

  - ### DM_SUBCONTENT

    static final int DM_SUBCONTENT
    See Also:
      - Constant Field Values

  - ### DM_FOREIGN_KEY

    static final int DM_FOREIGN_KEY
    See Also:
      - Constant Field Values

  - ### DM_ALIAS_SET

    static final int DM_ALIAS_SET
    See Also:
      - Constant Field Values

  - ### DM_PLUGIN

    static final int DM_PLUGIN
    See Also:
      - Constant Field Values

  - ### DM_DD_COMMON_INFO

    static final int DM_DD_COMMON_INFO
    See Also:
      - Constant Field Values

  - ### DM_DD_TYPE_INFO

    static final int DM_DD_TYPE_INFO
    See Also:
      - Constant Field Values

  - ### DM_DD_ATTR_INFO

    static final int DM_DD_ATTR_INFO
    See Also:
      - Constant Field Values

  - ### DM_DISPLAY_CONFIG

    static final int DM_DISPLAY_CONFIG
    See Also:
      - Constant Field Values

  - ### DM_SCOPE_CONFIG

    static final int DM_SCOPE_CONFIG
    See Also:
      - Constant Field Values

  - ### DM_CA_STORE_TAG

    static final int DM_CA_STORE_TAG
    See Also:
      - Constant Field Values

  - ### DM_LIGHTWEIGHT_TAG

    static final int DM_LIGHTWEIGHT_TAG
    See Also:
      - Constant Field Values

  - ### DM_PARTITION_SCHEME

    static final int DM_PARTITION_SCHEME
    See Also:
      - Constant Field Values

  - ### DM_CLIENTRIGHTSDOMAIN_TAG

    static final int DM_CLIENTRIGHTSDOMAIN_TAG
    See Also:
      - Constant Field Values

  - ### DM_BWS

    static final int DM_BWS
    See Also:
      - Constant Field Values

  - ### DM_USER_INFO

    static final int DM_USER_INFO
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getDocbaseId

    String getDocbaseId()
    Returns the portion of the ID that identifies the repository.
    Returns:
      the portion of the ID that identifies the repository. If this ID was created from a string that does not represent a repository object, the results are undefined.

  - ### getNumericDocbaseId

    long getNumericDocbaseId()
    Returns the portion of the ID that represents the docbase ID in integer form.
    Returns:
      an integer expressing the docbase ID
    Since:
      5.4

  - ### getId

    String getId()
    Returns a string representation of the ID.
    Returns:
      the ID as a string.

  - ### getTypePart

    int getTypePart()
    Returns the portion of the ID that represents the object type.

    The type part is converted to an integer. For example, if the underlying ID is "099af3ce800001ff", this method returns 9. If the ID is "469af3ce80000200", this method returns 70 decimal (46 hex).

    Returns:
      an integer expressing the object type

  - ### isNull

    boolean isNull()
    Indicates whether this IDfId object represents a null ID. ("0000000000000000").
    Returns:
      `true` if this object represents the NULLID, or `false` if it is not.

  - ### equals

    boolean equals(Object that)
    Indicates whether some other object is "equal to" this one.

    If the argument is not an instance of IDfId, this method returns `false`. If this object represents a NULLID ("0000000000000000") and the argument `id` equals `null` (or if it is a NULLID itself), this method will return `true`.

    Overrides:
      `equals` in class `Object`
    Parameters:
      `that` - another object
    Returns:
      `true` if the argument ID is equal to this one, or `false` if it is not equal.

  - ### toString

    String toString()
    Returns a string representation of this ID.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this ID.

  - ### compareTo

    int compareTo(IDfId dfid)
    Returns -1, 0 or 1 if this IDfId is less than, equal to, or greater than the IDfId passed as an argument. If the ID argument does not represent a Documentum ID, the results of this method are undefined.
    Parameters:
      `dfid` - another IDfId instance.
    Returns:
      -1 if this ID is less than the argument, 0 if the two IDs are equal, or 1 if this ID is greater than the argument ID.

  - ### isObjectId

    boolean isObjectId()
    Indicates whether this ID is a valid object ID.
    Since:
      5.2